var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { registerComponentMate } from '../../utils';
import { useComponentConfig } from '../root';
import { DList } from './List';
import { DPicture } from './Picture';
import { DPictureList } from './PictureList';
import { DUploadAction } from './UploadAction';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DUpload.List' });
export function DUploadList(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { dType = 'list', dDefaultActions, dActions, __fileList, __onRemove } = _a, restProps = __rest(_a, ["dType", "dDefaultActions", "dActions", "__fileList", "__onRemove"]);
    return dType === 'list' ? (_jsx(DList, Object.assign({}, restProps, { dFileList: __fileList, dDefaultActions: dDefaultActions, dActions: dActions !== null && dActions !== void 0 ? dActions : (() => [_jsx(DUploadAction, { dPreset: "remove" })]), onRemove: __onRemove }))) : dType === 'picture' ? (_jsx(DPicture, Object.assign({}, restProps, { dFileList: __fileList, dDefaultActions: dDefaultActions, dActions: dActions !== null && dActions !== void 0 ? dActions : (() => [_jsx(DUploadAction, { dPreset: "preview" }), _jsx(DUploadAction, { dPreset: "remove" })]), onRemove: __onRemove }))) : (_jsx(DPictureList, Object.assign({}, restProps, { dFileList: __fileList, dDefaultActions: dDefaultActions, dActions: dActions !== null && dActions !== void 0 ? dActions : (() => [_jsx(DUploadAction, { dPreset: "remove" })]), onRemove: __onRemove })));
}
